# vim: set sw=4 ts=4 et nu:
# norootforbuild

Name:               pogo
Version:            0.4
Release:            1.pm.1.1
Summary:            Simple Audio Player
# http://launchpad.net/pogo/trunk/0.3.1/+download/pogo-%{version}.tar.gz
Source:             pogo-%{version}.tar.gz
URL:                https://launchpad.net/pogo
Group:              Productivity/Multimedia/Sound/Players
License:            GNU General Public License version 2 or later (GPL v2 or later)
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      python-devel
BuildRequires:      make
BuildRequires:      update-desktop-files
BuildArch:          noarch
Requires:           python-gtk
Requires:           python-mutagen
Requires:           python-xml
Requires:           dbus-1-python
# not actually needed, but mirror Requires as BuildRequires here to make sure
# they exist in the target repository -- if not, it will make the build fail,
# which is what we want:
BuildRequires:      python-gtk
BuildRequires:      python-mutagen
BuildRequires:      python-xml
BuildRequires:      dbus-1-python

%description
Pogo is probably the simplest and fastest audio player for Linux. Its
elementary-inspired design uses the screen-space very efficiently. Pogo is
especially well-suited for people who organize their music by albums on the
hard drive. The main interface components are a directory tree and a playlist
that groups albums in an innovative way.

%prep
%setup -q
find . -type f -name '*.py' -exec %__sed -i -e '/^#!\//, 1d' {} \;

%build

%install
%__make \
    DESTDIR="%{buildroot}" \
    INSTALL="%__install" \
    MAKE="%__make" \
    RM="%__rm" \
    prefix="%{_prefix}" \
    install

%__sed -i 's|@@PYTHON@@|%__python|g;s|@@DATADIR@@|%{_datadir}|g' "%{buildroot}%{_bindir}/pogo"

%suse_update_desktop_file -r "%{name}" AudioVideo Player

%__rm -rf "%{buildroot}%{_datadir}/locale"/{ast,kk}
%find_lang "%{name}"

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f "%{name}.lang"
%defattr(-,root,root)
%doc COPYING NEWS README
%{_bindir}/pogo
%{_datadir}/pogo
%{_datadir}/applications/pogo.desktop
%{_datadir}/pixmaps/pogo.png
%doc %{_mandir}/man1/pogo.1%{ext_man}

%changelog
* Mon Mar 14 2011 detlef@links2linux.de
- update to 0.4
* Tue Dec 28 2010 pascal.bleser@opensuse.org
- initial version (0.3.1)
